Bug 1759327 - pioneer crashes on startup and load game, when DE as language is selected
Summary: pioneer crashes on startup and load game, when DE as language is selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pioneer
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-07 20:36 UTC by customercare
Modified: 2019-10-19 17:41 UTC (History)
1 user (show)

Fixed In Version: pioneer-20191009-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github pioneerspacesim pioneer issues 4687 None None None 2019-10-07 20:36:55 UTC

Description customercare 2019-10-07 20:36:55 UTC
Description of problem:

the german language set has a missing token:

DISABLE_SCREENSHOT_INFO in ui-core lc "de"

It should be: 

"DISABLE_SCREENSHOT_INFO": {
    "description": "",
    "message": "Screenshot-Info ausblenden"
  },

in /usr/share/pioneer/lang/ui-code/de.json , but it isn't. 

This makes the game crash in some screens/conditions. 

And the Wayland support is defective. It's not Fedora related, but a good argument to make an update ;) (if fixed)



Version-Release number of selected component (if applicable):

Version     : 20190203
Release     : 3.fc29



BTW: the buildate 20190424 is displayed in the startscreen, instead of the release version 20190203.

Comment 1 Fedora Update System 2019-10-09 19:52:56 UTC
FEDORA-2019-d631b21692 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 2 Fedora Update System 2019-10-09 19:52:57 UTC
FEDORA-2019-79e0bdd4f1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-79e0bdd4f1

Comment 3 Fedora Update System 2019-10-09 23:05:55 UTC
pioneer-20191009-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 4 Fedora Update System 2019-10-10 09:27:17 UTC
FEDORA-2019-80c61d11f0 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 5 customercare 2019-10-10 10:59:15 UTC
fixed

Comment 6 Fedora Update System 2019-10-10 16:04:06 UTC
pioneer-20191009-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 7 Fedora Update System 2019-10-10 16:55:36 UTC
FEDORA-2019-0e748bef89 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e748bef89

Comment 8 Fedora Update System 2019-10-10 17:29:29 UTC
pioneer-20191009-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-79e0bdd4f1

Comment 9 Fedora Update System 2019-10-12 02:02:10 UTC
pioneer-20191009-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e748bef89

Comment 10 Fedora Update System 2019-10-19 17:41:14 UTC
pioneer-20191009-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.